package tutorialMiniCrm.server.tutorialMiniCrm.services.outline;

import org.eclipse.scout.commons.NumberUtility;
import org.eclipse.scout.commons.StringUtility;
import org.eclipse.scout.commons.exception.ProcessingException;
import org.eclipse.scout.rt.server.services.common.jdbc.SQL;
import org.eclipse.scout.service.AbstractService;

import tutorialMiniCrm.shared.tutorialMiniCrm.services.outline.IStandardOutlineService;
import tutorialMiniCrm.shared.tutorialMiniCrm.services.process.PersonSearchFormData;

public class StandardOutlineService extends AbstractService implements IStandardOutlineService{

  public Object[][] getPersonTableData(PersonSearchFormData filter) throws ProcessingException{
    StringBuilder select = new StringBuilder();
    select.append(
        "SELECT PERSON_NR, " +
        "       FIRST_NAME||' '||LAST_NAME, " +
    		"       FIRST_NAME, " +
    		"       LAST_NAME, " +
    		"       EVT_BIRTH, " +
    		"       INCOME, " +
    		"       SALUTATION_UID, " +
    		"       DESCRIPTION, " +
    		"       COMPANY_NR " +
    		"FROM   PERSON " +
    		"WHERE  1=1 ");
    
    if(StringUtility.hasText(filter.getFirstName().getValue())){
      select.append(" AND UPPER(FIRST_NAME) LIKE UPPER(:firstName)||'%'");
    }
    if(StringUtility.hasText(filter.getLastName().getValue())){
      select.append(" AND UPPER(LAST_NAME) LIKE UPPER(:lastName)||'%'");
    }
    if(NumberUtility.nvl(filter.getSequenceFrom().getValue(), 0.0)>0.0){
      select.append(" AND (INCOME >= :sequenceFrom)");
    }
    if(NumberUtility.nvl(filter.getSequenceFrom().getValue(), 0.0)>0.0){
      select.append(" AND (INCOME <= :sequenceTo)");
    }
    if(NumberUtility.nvl(filter.getSalutation().getValue(), 0)>0){
      select.append(" AND SALUATION_UID = :salutation");
    }
    if(filter.getBirthDateBoxFrom().getValue()!=null){
      select.append(" AND EVT_BIRTH >= :birthDateBoxFrom");
    }
    if(filter.getBirthDateBoxTo().getValue()!=null){
      select.append(" AND EVT_BIRTH <= :birthDateBoxTo");
    }
    
    
    return SQL.select(select.toString(), filter);
  }
}
