package tutorialMiniCrm.shared.tutorialMiniCrm.services.code;

import org.eclipse.scout.rt.shared.services.common.code.AbstractCodeType;
import org.eclipse.scout.commons.exception.ProcessingException;
import tutorialMiniCrm.shared.tutorialMiniCrm.Texts;
import org.eclipse.scout.rt.shared.services.common.code.AbstractCode;
import org.eclipse.scout.commons.annotations.Order;

public class SalutationCodeType extends AbstractCodeType<Long>{

  private static final long serialVersionUID=1L;
  public static final long ID=5000;


  public SalutationCodeType() throws ProcessingException{
    super();
  }

  @Override
  public Long getId(){
    return ID;
  }

  @Override
  public String getConfiguredText() {
    return Texts.get("Salutation");
  }

  @Order(10.0)
  public class HerrCode extends AbstractCode<Long>{

    private static final long serialVersionUID=1L;
    public static final long ID=50001;


    @Override
    public Long getId(){
      return ID;
    }

    @Override
    public String getConfiguredText() {
      return Texts.get("Herr");
    }
  }

  @Order(20.0)
  public class FrauCode extends AbstractCode<Long>{

    private static final long serialVersionUID=1L;
    public static final long ID=50002;


    @Override
    public Long getId(){
      return ID;
    }

    @Override
    public String getConfiguredText() {
      return Texts.get("Frau");
    }
  }
}
